www.cendio.com
Bug 5466 - OS X client license files are located in incorrect bundle directory
: OS X client license files are located in incorrect bundle directory
Status: CLOSED FIXED
: ThinLinc
Client platforms
: trunk
: PC Unknown
: P2 Normal
: 4.4.0
Assigned To:
:
:
:
: 4369
  Show dependency treegraph
 
Reported: 2015-03-12 09:39 by
Modified: 2015-04-15 13:53 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-03-12 09:39:04
The OS X client contains the files:

ThinLinc Client.app/EULA.txt 
ThinLinc Client.app/open_source_licenses.txt

According to the new signing requirements
(https://developer.apple.com/library/mac/technotes/tn2206/_index.html#//apple_ref/doc/uid/DTS40007919-CH1-TNTAG312),
you are not allowed to place anything here:

"""
    Do not put files or directories into the top directory of an app or
framework bundle

    All content must be inside Contents or Versions respectively as described
earlier.
"""

Moving these files to the Contents directory should solve the problem.
------- Comment #1 From cendio 2015-03-12 09:42:30 -------
Fixed in r30127.
------- Comment #2 From cendio 2015-03-20 11:00:58 -------
Updated in r30130.
------- Comment #3 From cendio 2015-04-15 13:51:43 -------
Verified that the EULA and open_source_licenses files are located in
Contents/Resources for build 4725. Looks good.